SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
DataStructures::QueueLinkedList< QueueType > Class Template Reference

A queue implemented using a linked list. Rarely used. More...

`#include <slikenet/DS_QueueLinkedList.h>`

## Public Member Functions

| QueueLinkedList ()
| QueueLinkedList (const QueueLinkedList &original_copy)
bool | operator= (const QueueLinkedList &original_copy)
QueueType | Pop (void)
QueueType & | Peek (void)
QueueType & | EndPeek (void)
void | Push (const QueueType &input)
unsigned int | Size (void)
void | Clear (void)
void | Compress (void)

## Detailed Description

### template<class QueueType>
class DataStructures::QueueLinkedList< QueueType >

A queue implemented using a linked list. Rarely used.

Definition at line 35 of file DS_QueueLinkedList.h.

## Constructor & Destructor Documentation

template<class QueueType >

DataStructures::QueueLinkedList< QueueType >::QueueLinkedList | ( |  | ) |

Definition at line 55 of file DS_QueueLinkedList.h.

template<class QueueType >

DataStructures::QueueLinkedList< QueueType >::QueueLinkedList | ( | const QueueLinkedList< QueueType > & | original_copy | ) |

Definition at line 94 of file DS_QueueLinkedList.h.

## Member Function Documentation

template<class QueueType >

void DataStructures::QueueLinkedList< QueueType >::Clear | ( | void |  | ) |

Definition at line 109 of file DS_QueueLinkedList.h.

template<class QueueType>

void DataStructures::QueueLinkedList< QueueType >::Compress | ( | void |  | ) |

template<class QueueType >

QueueType & DataStructures::QueueLinkedList< QueueType >::EndPeek | ( | void |  | ) |

inline

Definition at line 80 of file DS_QueueLinkedList.h.

template<class QueueType >

bool DataStructures::QueueLinkedList< QueueType >::operator= | ( | const QueueLinkedList< QueueType > & | original_copy | ) |

Definition at line 100 of file DS_QueueLinkedList.h.

template<class QueueType >

QueueType & DataStructures::QueueLinkedList< QueueType >::Peek | ( | void |  | ) |

inline

Definition at line 73 of file DS_QueueLinkedList.h.

template<class QueueType >

QueueType DataStructures::QueueLinkedList< QueueType >::Pop | ( | void |  | ) |

inline

Definition at line 66 of file DS_QueueLinkedList.h.

Referenced by DataStructures::BinarySearchTree< BinarySearchTreeType >::BinarySearchTree(), DataStructures::BinarySearchTree< BinarySearchTreeType >::DisplayBreadthFirstSearch(), and DataStructures::BinarySearchTree< BinarySearchTreeType >::operator=().

template<class QueueType >

void DataStructures::QueueLinkedList< QueueType >::Push | ( | const QueueType & | input | ) |

Definition at line 87 of file DS_QueueLinkedList.h.

Referenced by DataStructures::BinarySearchTree< BinarySearchTreeType >::BinarySearchTree(), DataStructures::BinarySearchTree< BinarySearchTreeType >::DisplayBreadthFirstSearch(), and DataStructures::BinarySearchTree< BinarySearchTreeType >::operator=().

template<class QueueType >

unsigned int DataStructures::QueueLinkedList< QueueType >::Size | ( | void |  | ) |

inline

Definition at line 60 of file DS_QueueLinkedList.h.

Referenced by DataStructures::BinarySearchTree< BinarySearchTreeType >::BinarySearchTree(), DataStructures::BinarySearchTree< BinarySearchTreeType >::DisplayBreadthFirstSearch(), and DataStructures::BinarySearchTree< BinarySearchTreeType >::operator=().

The documentation for this class was generated from the following file:

- Source/include/slikenet/DS_QueueLinkedList.h